Productsup
API referenceV1Export template metadata

Retrieve export template metadata

Export template metadata contains internal information about the channel including ownership, confidence level, and documentation links.

GET
/V1/export-templates/{id}/metadata

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

id*string

Export template id.

Response Body

application/json

application/json

curl -X GET "https://export-template-api.productsup.com/V1/export-templates/string/metadata"
{
  "data": {
    "channelOwner": "third-party",
    "lastReviewedOn": "2024-11-15T00:00:00+00:00",
    "confidence": "needs-checking",
    "helpCenterLink": "https://help.productsup.com/generic",
    "internalDocLink": "https://docs.internal.com/channel",
    "specificationsLink": "https://specs.productsup.com/channel",
    "notes": "Third party integration requiring special attention"
  }
}
{
  "errors": {
    "message": "Export template with id 37195 not found."
  }
}

How is this guide?